/* See bmpcount/doc/COPYING for copyright/licensing information. */
/* cestan@cs.ucsd.edu 05/15/2002 */

/* The virtual bitmap is a direct bitmap if factor==1. */

#include "bitmap.h"
#include "h3.h"
#include "../datatypes/typedefs.h"

#ifndef VBMP_H
#define VBMP_H

class vbmp{
 public:
  vbmp(int b, double factor, int flowIDsize);
  ~vbmp();
  void new_packet(byte* flowID);
  int estimate();
  void reset();
 private:
  int b;          // The size of the bitmap
  unsigned range; // The size of the hash space
  bitmap bmp;     // The actual bits
  h3 hash;        // The hash function
};

#endif //VBMP_H
