/* See bmpcount/doc/COPYING for copyright/licensing information. */
/* cestan@cs.ucsd.edu 11/19/2002 */

#include "port.h"

void port::print(buffer& b, const byte* data){
  if(isdefport(data)){
    b.print_unsigned2(portnum(data));
  } else {
    b.print_char('-');
  }
}

int port::parse(buffer& b, byte* data){
  if(b.parse_char('-')){
    isdefport(data)=0;
    portnum(data)=0;
    return 1;
  }
  isdefport(data)=1;
  return b.parse_unsigned2(&portnum(data));
}

