/* See bmpcount/doc/COPYING for copyright/licensing information. */
/* cestan@cs.ucsd.edu 11/19/2002 */

#include "proto.h"

void proto::print(buffer& b, const byte* data){
  b.print_unsigned1(*data);
}

int proto::parse(buffer& b, byte* data){
  if(b.parse_char('T')){
    (*data)=6;
    return 1;
  }
  if(b.parse_char('U')){
    (*data)=17;
    return 1;
  }
  if(b.parse_char('I')){
    (*data)=1;
    return 1;
  }
  return b.parse_unsigned1(data);
}
