/* See bmpcount/doc/COPYING for copyright/licensing information. */
/* cestan@cs.ucsd.edu 06/20/2003 */

/* The jiffy hash function is a fast hash function good enough for
   hash_map. */

#ifndef JIFFY_H
#define JIFFY_H

#include "../datatypes/typedefs.h"

typedef unsigned int hash_key;

class jiffyhash{
 public:
  jiffyhash(unsigned int keysize);
  hash_key operator()(const byte* data){
    hash_key result=0;
    for(int i=0;i<ks;i++){result ^= ((hash_key)(data[i]))<<shiftoffsets[i];}
    return result;}
  ~jiffyhash();
 protected:
  unsigned int * shiftoffsets;
  const unsigned int ks;
};

#endif /* JIFFY_H */
