/* See bmpcount/doc/COPYING for copyright/licensing information. */
/* cestan@cs.ucsd.edu 07/15/2002 */

#include <string.h>
#include <stdlib.h>
#include "asciifile.h"
#include "assume.h"

asciifilereader::asciifilereader(const char* fname, compound& flds):f(fname){
  fields=&flds;
  databuffer=(byte*)malloc(flds.getbinsize());
  assumenotnull(databuffer);
}

byte* asciifilereader::getnextrecord(){
  if(!f.getnextline()){
    return NULL;
  }
  if(!fields->parse(f.b,databuffer)){
    f.printbuffererror();
  }
  return databuffer;
}

asciifilereader::~asciifilereader(){
  free(databuffer);
}
