#!/usr/bin/perl -w
# This script finds the right value for the size of the direct bitmap
$epsilon=0.1;
$n=1000000;

$b=int($n/log($n*$epsilon*$epsilon+1));

print "Initial value\t$b\n";

while (sqrt(exp($n/$b)-$n/$b-1)*sqrt($b)/$n<$epsilon){
  $b--;
}
print "$b\t".(sqrt(exp($n/$b)-$n/$b-1)*sqrt($b)/$n)."\n";
$b++;
print "$b\t".(sqrt(exp($n/$b)-$n/$b-1)*sqrt($b)/$n)."\n";
